html:root {
  --emphasisColor: #007d9f;
  --codeColor: #641227;
  --content-fontSize: 1em;
  --ptx-content-font-size: 1em;
  --ptx-content-line-height: 1.5;
}

:root.dark-mode {
  --emphasisColor: #00b3e3;
  --codeColor: #ffaaaa;
}

/* Add cspossible in title for the course name in course home,
   but don't diplay that because there's the logo in the banner */
.ptx-banner .title
{
   display: none;
}

/* The wide style seems to add huge font size so put it down */
.ptx-content .para {
  font-size: 97%;
  /* line-height: 1.5; This freezes the accessibility tool line height */
}


/* Default spacing between paragraphs is too much. */
section>.para+.para {
  margin-top: 0.6em;
}

.ptx-content section>.heading,
.ptx-content section section>.heading,
.ptx-content section section section>.heading {
  font-size: 1.3em;
  color: var(--emphasisColor);
  border-bottom: 2px solid #70d549;
  padding-top: 0.5em;
  margin-bottom: 0.5em;
}

/* Activity headings */
.ptx-content .heading h3,
.ptx-content article>.heading {
  font-size: 1.1em;
}

/* This might not be used anymore */
.ptx-content .heading h4 {
  font-size: 1.3em;
  color: var(--emphasisColor);
}

.ptx-content .terminology {
  color: var(--emphasisColor);
  font-weight: bolder;
  font-style: normal;
}

.ptx-content .code-inline {
  color: var(--codeColor);
  white-space: collapse nowrap;
  padding: 0;
  border: none;
  background: none;
  font-weight: 600;
  font-size: 1.1em;
}

.ptx-content .code-display {
  color: var(--codeColor);
  overflow-x: auto;
  margin-left: 2em;
}

/* I'm not sure why the .code-block:before rule exists in PtX but it just adds extra gorp. */
.ptx-content .code-block:before {
  content: none;
}

/* Code listings with <pre> in text washed out in Chrome */
.ptx-content pre.program {
  font-weight: bolder;
  font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
}

/* There's no padding in the output of activecode exercises, so add some. */
.ptx-runestone-container .ac_output pre {
   padding: 8px;
}

/* These are the big buttons for the sections */
.ptx-content .summary-links {
  font-size: 90%;
}

/* For displaying exercise ids */
.ptx-content .runestone_caption,
.runestone_caption {
  display: block;
}

/* A potentialy gross hack to hide the footnotes PreTeXt loves to put on every link. */
.ptx-content details.ptx-footnote,
.ptx-content .ptx-runestone-container details.ptx-footnote {
  display: none;
}

.ptx-content .para a {
  text-decoration: underline !important;
}

.ptx-content blockquote {
  font-size: inherit;
}

.ptx-content #summary ul.simple li {
  padding-top: 1em;
}

/*
 * Give paragraphs immediately after certain elements a bit of breathing room.
 * This could also be achieved by giving some margin-bottom to those preceding
 * elements but this seems simpler for now.
 */
.ptx-content div.highlight-python+p,
.ptx-content div.highlight-text+p {
  margin-top: 10px;
}

div.time {
  display: flex;
  flex-direction: row;
  gap: 0.25em;
  align-items: center;
  position: absolute;
  top: 0;
  right: 0;
  color: #999;

  svg {
    fill: #999;
    background: #0000;
  }
}

.ptx-content section.section:has(div.time) {
  padding-top: 1.5em;
}

/* Hide the numbering of <note> and <remark> elements for LOs and EKs 
   Then, because the figures and tables have the same numbering track, hide them too. */
.ptx-content .note .codenumber,
.ptx-content .note .period,
.ptx-content .remark .codenumber,
.ptx-content .remark .period,
.ptx-content .table .codenumber,
.ptx-content .table .period,
.ptx-content .figure .codenumber,
.ptx-content .figure .period {
  display: none;
}

.ptx-content .note .heading,
.ptx-content .remark .heading {
  font-size: 1em;
}

/* Make the unittest results table wider hopefully*/
.ptx-content .unittest-results,
.ptx-runestone-container .unittest-results, 
.runestone-sphinx .unittest-results {
  min-width: 100%;
}